Bug 82751 - http/tests/security/cross-frame-access-put.html is failing
: http/tests/security/cross-frame-access-put.html is failing
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
: InRadar
:
:
  Show dependency treegraph
 
Reported: 2012-03-30 10:50 PST by
Modified: 2012-05-06 22:53 PST (History)


Attachments
Patch (1.80 KB, patch)
2012-04-26 00:24 PST, Christophe Dumez
no flags Review Patch | Details | Formatted Diff | Diff
Patch (132.31 KB, patch)
2012-04-26 00:44 PST, Christophe Dumez
haraken: review+
ap: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
Patch (132.40 KB, patch)
2012-04-26 01:56 PST, Christophe Dumez
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From 2012-04-01 00:56:08 PST -------
This link is 404.
------- Comment #2 From 2012-04-01 00:56:45 PST -------
<rdar://problem/11162572>
------- Comment #3 From 2012-04-02 10:10:39 PST -------
-ALERT: PASS: window.frameElement should be 'undefined' and is.
+ALERT: PASS: window.frameElement should be 'null' and is.

Looks like results just need to be updated per bug 80205. That bug updated chromium and Gtk, but for some reason not cross-platform or Qt.
------- Comment #4 From 2012-04-26 00:06:31 PST -------
Yes, we have a similar issue in the EFL port.

bug 80205 has not updated the following global expectation:
LayoutTests/http/tests/security/cross-frame-access-put-expected.txt
------- Comment #5 From 2012-04-26 00:24:33 PST -------
Created an attachment (id=138948) [details]
Patch

Proposing patch to update global expected result for http/tests/security/cross-frame-access-put.html test. The value of window.frameElement is now 'null' instead of 'undefined' when shouldAllowAccessToNode() check fails, after bug 80205 fix.

- This fixes the test for EFL port which does not have platform-specific expectation.
- GTK, Qt, Chromium ports have platform-specific expectations and have already been updated.
- The test is skipped on wincairo, qt-mac, qt-arm, wk2, win and mac.
------- Comment #6 From 2012-04-26 00:44:58 PST -------
Created an attachment (id=138949) [details]
Patch

Update patch to remove Qt/GTK-specific expectations now they are identical to the global one.
------- Comment #7 From 2012-04-26 01:39:52 PST -------
(From update of attachment 138949 [details])
Thank you very much for the rebaselining!
------- Comment #8 From 2012-04-26 01:41:09 PST -------
(From update of attachment 138949 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=138949&action=review

> LayoutTests/ChangeLog:14
> +        * http/tests/security/cross-frame-access-put-expected.txt:

The ChangeLog needs to be regenerated to list deleted files. You can also move comments from above to make them per-file.
------- Comment #9 From 2012-04-26 01:56:03 PST -------
Created an attachment (id=138955) [details]
Patch

Update Changelog as per AP's recommendation.
------- Comment #10 From 2012-04-26 03:26:59 PST -------
(From update of attachment 138955 [details])
Clearing flags on attachment: 138955

Committed r115299: <http://trac.webkit.org/changeset/115299>
------- Comment #11 From 2012-04-26 03:27:04 PST -------
All reviewed patches have been landed.  Closing bug.